%define name	bug-buddy
%define version	1.0
%define release 4mdk

Summary:	Utility to ease the reporting of bugs within the GNOME Desktop Environment.
Name:		%{name}
Version: 	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Graphical desktop/GNOME
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{name}/%{name}-%{version}.tar.bz2
#Source1:	bug-buddy_menuentry
Source2:	bug-buddy32.xpm.bz2
Source3:	bug-buddy.xpm.bz2
#Patch:    	%{nam}-mandrake.patch.bz2
URL:		http://primates.helixcode.com/~jacob/bug-buddy/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:  libglade-devel XFree86-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel libxml-devel zlib-devel
Requires:	libglade
Requires:	gnome-libs >= 1.0.60

%description
bug-buddy is a druid based tool which steps you through the GNOME bug
submition process.  It can automatically obtain stack traces from core
files or crashed applications.  Debian and KDE bug tracking systems are
also supported.

%prep
%setup -q -n %{name}-%{version}
echo "	*****     Applying Mandrake patches        *****	"
#%patch -p 1
echo "	*****     Applying Helix patches     *****	"

%build
%configure

%make
#%{make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%{find_lang} %{name}

# no binary stripping
mkdir -p $RPM_BUILD_ROOT/%{_menudir}

install -d  $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE2} >$RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} >$RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm

#cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/bug-buddy
#?package(bug-buddy): command="bug-buddy" icon="bug-buddy.xpm" longtitle="a front end of open source projects bug reporter" needs="x11" title="bug-buddy" section="Applications/Communications"
#EOF

%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
%{update_menus}


%postun
%{clean_menus}
if [ "$1" = "0" ]; then
    /sbin/ldconfig
fi


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO

%{_bindir}/*
%{_datadir}/gnome/apps/Utilities/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
#%{_datadir}/locale/*
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_datadir}/mime-info/*
#%{prefix}/lib/menu/*
%{_datadir}/gnome/help/%{name}

%changelog
* Wed Sep  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0-4mdk
- fixed langs
- further macroszification

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-3mdk
- automatically added BuildRequires

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.0-2mdk
- macrozification

* Thu Jul 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- release 1.0
- remove docdir define (for BM)
- update menu macros
- embed menu file in spec (but don't add it, see 0.7-4mdk)
- modify icons to be transparent

* Wed May 03 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9-2mdk
- 32*32 icon
- remove hardcoded path to icons .

* Tue May 02 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9-1mdk
- release 0.9 
- fix bug (seg fault when the about button is pressed)

* Thu Apr 20 2000 Daouda Lo <daouda@mandrakesoft.com> 0.8-1mdk
- release  0.8
- force path to help file 

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 0.7-5mdk
- fix % post

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-4mdk
- add icon.
- build from helix.
- remove Mandrake entry (possible conflicts with our future bugzilla database
  system)


* Wed Mar 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-3mdk
- really add  the menu entry (forgot to remove some stuffs)
- this come from Helix distro.

* Wed Mar 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-2mdk
- add a Mandrake entry to report bug easily and directly to bug@mandrakesoft.com
- add menu entry.

* Tue Mar 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-1mdk
- first build for Mandrake.

